Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Future_Holder< T > Class Template Reference

Implementation of object that holds an ACE_Future. More...

`#include <Future.h>`

List of all members.

## Public Methods
| ACE_Future_Holder (const ACE_Future< T > &future)
| ~ACE_Future_Holder (void)
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
ACE_Future< T > | item_
## Protected Methods
| ACE_Future_Holder (void)

## Detailed Description

### template<class T>
class ACE_Future_Holder< T >

Implementation of object that holds an ACE_Future.

## Constructor & Destructor Documentation

template<class T>
ACE_Future_Holder< T >::ACE_Future_Holder | ( | const ACE_Future< T > & | future | ) |

template<class T>
ACE_Future_Holder< T >::~ACE_Future_Holder | ( | void |  | ) |

template<class T>
ACE_Future_Holder< T >::ACE_Future_Holder | ( | void |  | ) | `[protected]`

## Member Data Documentation

template<class T>
ACE_Future_Holder< T >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class T>
ACE_Future<T> ACE_Future_Holder< T >::item_

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Future.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Future.cpp